function hasAlreadyApproved(recno, form){
	var fields = new Array();

	fields.push("SCR");
	fields.push(" R_E_C_N_O_ = " + recno);
	fields.push(form.getValue("R8_FILIAL"));
	fields.push("CR_STATUS");

	var dataset = DatasetFactory.getDataset("dsConsultaProtheus", fields, null, null);
	return dataset != null && dataset.rowsCount > 0 ? (dataset.getValue(0, "CR_STATUS")=="05"||dataset.getValue(0, "CR_STATUS")=="03") : null;
}